Apis::V4::Auth API

Login with Facebook Access Token

Parameters

Name Description
provider Service Type (google, facebook, thekey)
code One-time auth code/service ticket from the service
fb_access_token fb access token
okta_access_token okta access token
client_token A token previously used for anonymous logic. This token can only be used once to promote an anonymous user to a verified user, after that you must force users through a regular login flow.
first_name User provided first name (required if creating client token login flow)
last_name User provided last name
fb_access_token Your FB access token for the Missionhub app that can be used instead of the code parameter

Response Fields

Name Description
token MH JSON Web Token that will contain a user_id and an expires at
first_name User's first name
last_name User's last name
person_id User's person id
profile_image_url User's profile image
thekey_uid User's UID for TheKey.me

Request

Headers

Version: HTTP/1.0
Accept: application/json
Content-Type: application/json
Host: example.org
Cookie: 

Route

POST /apis/v4/auth/facebook

Body

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
Vary: Accept
ETag: W/"11011ee9736ebf08ec44f2bc58eaccb3"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 8f8bedac-26b7-437c-9ec3-171af09db1c9
X-Runtime: 0.049325
Content-Length: 298

Status

200

Body